Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.logging.exe
Class LoggingInstance

    java.lang.Object
      org.jbpm.module.exe.ModuleInstance
          org.jbpm.logging.exe.LoggingInstance

All Implemented Interfaces:
  java.io.Serializable

    public class LoggingInstance

extends ModuleInstance

non persisted class that collects `ProcessLog`s during process execution. When the process instance gets saved, the process logs will be saved by the `LoggingSession`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.module.exe.ModuleInstance
`processInstance`

Constructor Summary
`LoggingInstance()`

Method Summary
`void` | `addLog(ProcessLog processLog)`
`void` | `endCompositeLog()`
`java.util.List` | `getLogs()`
`java.util.List` | `getLogs(java.lang.Class filterClass)` get logs, filetered by log type.
`static java.util.List` | `getLogs(java.util.Collection logs, java.lang.Class filterClass)`
`void` | `logLogs()`
`void` | `startCompositeLog(CompositeLog compositeLog)`

Methods inherited from class org.jbpm.module.exe.ModuleInstance
`equals, getId, getProcessInstance, getService, setProcessInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingInstance

    public LoggingInstance()

Method Detail

### startCompositeLog

    public void startCompositeLog(CompositeLog compositeLog)

### endCompositeLog

    public void endCompositeLog()

### addLog

    public void addLog(ProcessLog processLog)

### getLogs

    public java.util.List getLogs()

### getLogs

    public java.util.List getLogs(java.lang.Class filterClass)

  get logs, filetered by log type.

### getLogs

    public static java.util.List getLogs(java.util.Collection logs,
                                         java.lang.Class filterClass)

### logLogs

    public void logLogs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD